Keep stack frames 8-byte aligned. This fixes olden/voronoi
[oota-llvm.git] / autoconf / AutoRegen.sh
index 10c3e404c18528b27f14161d0767ca32d9ca1e2f..ce0e2699e4409e5feb9809949416a3e89bdb4ef6 100755 (executable)
@@ -3,21 +3,23 @@ die () {
        echo "$@" 1>&2
        exit 1
 }
-test -d autoconf && test -f autoconf/configure.ac && cd autoconf
-test -f configure.ac || die "Can't find 'autoconf' dir; please cd into it first"
+outfile=configure
+configfile=configure.ac
+test -d autoconf && test -f autoconf/$configfile && cd autoconf
+test -f $configfile || die "Can't find 'autoconf' dir; please cd into it first"
 autoconf --version | egrep '2\.59' > /dev/null
 if test $? -ne 0 ; then
   die "Your autoconf was not detected as being 2.59"
 fi
-aclocal --version | egrep '1\.9\.1' > /dev/null
+aclocal --version | egrep '1\.9\.2' > /dev/null
 if test $? -ne 0 ; then
-  die "Your aclocal was not detected as being 1.9.1"
+  die "Your aclocal was not detected as being 1.9.2"
 fi
 autoheader --version | egrep '2\.59' > /dev/null
 if test $? -ne 0 ; then
   die "Your autoheader was not detected as being 2.59"
 fi
-libtool --version | grep '1.5.10' > /dev/null
+libtool --version | grep '1\.5\.10' > /dev/null
 if test $? -ne 0 ; then
   die "Your libtool was not detected as being 1.5.10"
 fi
@@ -26,17 +28,16 @@ echo "### NOTE: ############################################################"
 echo "### If you get *any* warnings from autoconf below you MUST fix the"
 echo "### scripts in the m4 directory because there are future forward"
 echo "### compatibility or platform support issues at risk. Please do NOT"
-echo "### commit any configure.ac or configure script that was generated "
-echo "### with warnings present. You should get just three 'Regenerating..'"
-echo "### lines."
+echo "### commit any configure script that was generated with warnings"
+echo "### present. You should get just three 'Regenerating..' lines."
 echo "######################################################################"
 echo ""
-echo "Regenerating aclocal.m4 with aclocal"
+echo "Regenerating aclocal.m4 with aclocal 1.9.2"
 cwd=`pwd`
 aclocal --force -I $cwd/m4 || die "aclocal failed"
-echo "Regenerating configure with autoconf 2.5x"
-autoconf --force --warnings=all -o ../configure configure.ac || die "autoconf failed"
+echo "Regenerating configure with autoconf 2.59"
+autoconf --force --warnings=all -o ../$outfile $configfile || die "autoconf failed"
 cd ..
-echo "Regenerating config.h.in with autoheader 2.5x"
-autoheader -I autoconf -I autoconf/m4 autoconf/configure.ac || die "autoheader failed"
+echo "Regenerating config.h.in with autoheader 2.59"
+autoheader --warnings=all -I autoconf -I autoconf/m4 autoconf/$configfile || die "autoheader failed"
 exit 0